Bug 501538 - Please Rebuild scalapack for latest openmpi
Please Rebuild scalapack for latest openmpi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scalapack (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 12:16 EDT by Deji Akingunola
Modified: 2009-08-07 00:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 00:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2009-05-19 12:16:46 EDT
Description of problem:
OpenMPI in rawhide has undergone some major changes (packaging-wise), which requires scalapack to be rebuilt.
Please note that since openmpi libs are not installed in 'non-standard' locations (and the openmpi maintainer is not willing to change it), scalapack may now need to install the openmpi lib directory in /etc/ld.so.conf.d/, or else other libraries that links to scalapack will fail (as it will fail o find the openmpi libs).

PS: Or if you don't mind, you can just switch to using mpich2 instead of openmpi to provide the MPI support. (I know, I'm being selfish ;) ). 

PPS: Similar adjustments is need for the blacs package. Do you want me to open another bug against blacs for that?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom "spot" Callaway 2009-05-20 14:26:36 EDT
So... both mpich2 and openmpi seem to suffer from the problem where the libs are not in %{_libdir}, but rather, some arbitrary location under %{_libdir}. mpich2 looks like it is much more cleanly packaged than openmpi is (despite my best efforts to fix it in the absense of the actual maintainer, who undid most of my work afterwards). Wouldn't both packages need a file in /etc/ld.so.conf.d/ for scalapack and blacs to find the MPI libraries? I'm not entirely sure what the proper way to fix this is.
Comment 2 Deji Akingunola 2009-05-20 17:29:02 EDT
(In reply to comment #1)
> So... both mpich2 and openmpi seem to suffer from the problem where the libs
> are not in %{_libdir}, but rather, some arbitrary location under %{_libdir}.
> mpich2 looks like it is much more cleanly packaged than openmpi is (despite my
> best efforts to fix it in the absense of the actual maintainer, who undid most
> of my work afterwards). Wouldn't both packages need a file in
> /etc/ld.so.conf.d/ for scalapack and blacs to find the MPI libraries? 

A case of the kettle calling the pot black ;). The mpich2 package currently doesn't ship a file /etc/ld.so.conf.d/ now, because the mpich2' compiler wrappers takes care of handling it. However that is not sufficient for the situation.
I will drop the appropriate files under /etc/ld.so.conf.d/ for mpich2 and report back.
Comment 3 Deji Akingunola 2009-05-21 06:26:02 EDT
mpich2 now installs mpich2_%{arch}.conf in /etc/ld.so.conf.d/ (rawhide only for now).
Comment 4 Deji Akingunola 2009-05-21 06:29:52 EDT
mpich2 now installs mpich2_%{arch}.conf in /etc/ld.so.conf.d/ (rawhide only for now).
Comment 5 Bug Zapper 2009-06-09 12:07:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tom "spot" Callaway 2009-08-07 00:06:15 EDT
Both blacs and scalapack have been significantly reworked in rawhide to use the new MPI packaging guidelines (both as a proof of concept and for me to make sure they are reasonably sane).

As a result, they've both been rebuild against the latest openmpi (and lam and mpich2).

Note You need to log in before you can comment on or make changes to this bug.